Package org.apache.iotdb.jdbc

# Class IoTDBTracingInfo

java.lang.Object
org.apache.iotdb.jdbc.IoTDBTracingInfo

public class IoTDBTracingInfo extends Object

## Constructor Summary

Constructors
Constructor
Description
`IoTDBTracingInfo()`

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`getActivityList()`
`List<Long>`
`getElapsedTimeList()`
`long`
`getStatisticsByName(String name)`
`String`
`getStatisticsInfoByName(String name)`
`boolean`
`isSetTracingInfo()`
`void`
`setTsTracingInfo(TSTracingInfo tsTracingInfo)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IoTDBTracingInfo

public IoTDBTracingInfo()

## Method Details

### setTsTracingInfo

public void setTsTracingInfo(TSTracingInfo tsTracingInfo)

### isSetTracingInfo

public boolean isSetTracingInfo()

### getActivityList

public List<String> getActivityList()

### getElapsedTimeList

public List<Long> getElapsedTimeList()

### getStatisticsByName

public long getStatisticsByName(String name) throws Exception

Throws:
  `Exception`

### getStatisticsInfoByName

public String getStatisticsInfoByName(String name) throws Exception

Throws:
  `Exception`